﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TextEditorInCell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ///Setting Data source
            this.ultraGrid1.DataSource = myData();
           
            ///Grid properties
            this.ultraGrid1.Rows[0].Cells[0].EditorComponent = this.ultraControlContainerEditor1;
            this.ultraGrid1.DisplayLayout.Override.RowSizing = RowSizing.AutoFree;
            this.ultraGrid1.DisplayLayout.Rows[0].Height = 100;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].Width = 200;
            this.ultraGrid1.Rows[0].Cells[0].Value = "MultiLine Cell";
           
            ///TextEditor properties
            this.ultraTextEditor1.Multiline = true;
            this.ultraTextEditor1.Scrollbars = ScrollBars.Both;
            //Setting WordWrap to false enables horizontal scrollbars
            this.ultraTextEditor1.WordWrap = false;
            //Removes TextEditor appearances to show in cell.
            this.ultraTextEditor1.UseOsThemes = Infragistics.Win.DefaultableBoolean.False;
            this.ultraTextEditor1.BorderStyle = Infragistics.Win.UIElementBorderStyle.None;
           
            //Assigning Editor
            this.ultraControlContainerEditor1.EditingControl = this.ultraTextEditor1;
        }

        private DataTable myData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("MultiLine", typeof(string));
            for (int i = 0; i < 20; i++)
            {
                dt.Rows.Add();      
            }          
            return dt;
        }
    }
}
